Subject: [rbridge] seeking input on abstractfor problemand applicabilitystatement

From: petera at nortel.com (Peter Ashwood-Smith)
Date: Fri, 14 Oct 2005 23:10:05 -0400

> The only reason it'd be blocked is if the spanning tree protocol knew
both rbridges were part of the same spanning tree. I thought that's what
the BPDUs would indicate.

A packet can be not forwarded at either an egress or ingress port Joe.
The rbridges fix this problem so the bridges don't have to. Two or more
more Rbridges that are connected to the same broadcast domain (i.e. STP
tree) will elect one of them to relay traffic to/from that STP domain
the others will ignor everything they see comming from that port and not
forward anything to that port (i.e. they block it). I think this is the
critical piece you are missing. In your mind this is PARTICIPATE but its
not because its one sided, only the Rbridges need to agree on this
behaviour. The bridges don't need to know the Rbridges are doing it.

Like I've said, take two disjoint trees, join with a single link and you
have a tree. It is the behaviour above that guarantees the single
connection between the two trees.

Peter